\name{stamEval-class}
\docType{class}
\alias{stamEval-class}
\alias{initialize,stamEval-method}
\alias{writeHTML,stamEval-method}
\title{Results of a Complete StAM Analysis}
\description{
  Objects of this class are returned by \code{ctam.evaluate}. Results of all steps in a 
  structured analysis of microarray data are stored.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamEval", exprs, cv, fit, pred, testset)}, but using \code{stam.evaluate} 
  is recommended.
}
\section{Slots}{
  \describe{
    \item{\code{chip}:}{Object of class \code{"character"}, the name of the chip for 
      which the classifier net is generated.}
    \item{\code{exprs}:}{Object of class \code{"matrix"}, the plain matrix of 
      expression levels [probesets x samples], rownames and colnames are expected to be 
      defined}
    \item{\code{cv}:}{Object of class \code{"stamCV"}, store cross validation results}
    \item{\code{fit}:}{Object of class \code{"stamFit"}, store model fit}
    \item{\code{pred}:}{Object of class \code{"stamPrediction"}, store 
      prediction results}
    \item{\code{testset}:}{Object of class \code{"numeric"}, indices of samples treated 
       as test set. The others are used for trainig.}
  }
}
\section{Methods}{
  \describe{
    \item{writeHTML}{\code{signature(x = "stamEval")}: generate HTML information on a 
      complete StAM analysis, but using \code{stam.writeHTML} is recommended.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.evaluate}}, \code{\link{stamCV-class}}, 
  \code{\link{stamFit-class}}, \code{\link{stamPrediction-class}}, 
  \code{\link{stam.writeHTML}}}
\keyword{classes}
